php parse error after upgrade
« on: March 03, 2021, 04:08:31 AM »
Generator wont start. Still shows the sitemap from before upgrade. (also downloaded and reinstalled).

The error_log file contains:

[02-Mar-2021 22:30:54 UTC] PHP Parse error:  syntax error, unexpected 'for' (T_FOR), expecting function (T_FUNCTION) or const (T_CONST) in /home/xyz/public_html/store_generator/pages/class.grab.inc.php on line 210

« Last Edit: March 03, 2021, 04:14:33 AM by sales1450 »
Re: php parse error after upgrade
« Reply #1 on: March 03, 2021, 05:04:23 AM »
Hello,

can you provide a temporary ftp access for troubleshooting?
 
Re: php parse error after upgrade
« Reply #2 on: March 03, 2021, 04:52:31 PM »
done!
Re: php parse error after upgrade
« Reply #3 on: March 05, 2021, 05:24:43 AM »
Problem solved.
When you asked for ftp access, I then thought maybe Expression Web corrupted the files each time I synced. Sure enough, after I ftp'd them everything works. Awesomely.
Thank you!